<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>About Java Class Libraries</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>About Java Class Libraries</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
<p>A Java class library is a group of resources needed by a project. Typically 
    a class library includes one or more JAR files containing compiled classes, the source files 
    needed to debug the classes, and Javadoc documentation for the classes. In the 
    IDE, you can create and edit libraries using the Ant Library Manager. To open the Ant Library 
Manager choose Tools &gt; Ant Libraries.</p> 
<p>By creating Java class libraries within which to store the JAR files on your
project classpath, you can do the following:</p> 
<ul>
  <li>Group related JAR files that you use frequently.</li>
  <li>Add Javadoc documentation for your classes to a project. This enables you
  	to automatically open the Javadoc page for any class in the library.</li>
  <li>Attach source code to your classes. This enables you to step through the source 
    code when debugging your program or use the Go To Source command to open the source file.</li>
</ul>
<p><b>Notes:</b></p>
<ul class="note">
    <li>You can also associate sources or Javadoc documentation with an individual 
    JAR file that you have added to your project. In the Projects window, 
    right-click the project's node and choose Properties. Then select the Libraries 
    panel, select the JAR file from the list of libraries, and click Edit. You can 
add references to sources and Javadoc documentation.</li>
<li>You can configure a project to use a 
<a href="../project/proj_sharing.html">dedicated libraries folder</a> in order to 
make it easier to share the project with other users.</li>
    <li> When you attach Javadoc documentation and source code to a JAR file in 
      the Ant Library Manager, the IDE automatically registers the documentation and 
      source code in every project that has that JAR file on its classpath. You 
      do not have to remove the JAR file from the classpath and add it as a library.</li>
  </ul>

<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="comp_classpath.html">Managing the Classpath</a></dd>
    <dd><a href="../project/proj_sharing.html">Sharing Libraries in a Java Project</a></dd>
    <dd><a href="../javadoc/javadoc_add.html">Adding Javadoc to a Project</a></dd>
    <dd><a href="../debug/debug_source.html">Attaching Source Code to a JAR File</a></dd>
    <dd><a href="../project/proj_jdk.html">Setting the Target JDK</a></dd>
</dl>



<hr>
<small><a href="../credits.html">Legal Notices</a></small> 

<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
